NNG_HTTP_RES_GET_DATA(3http)

NAME
nng_http_res_get_data - get HTTP response body

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    void nng_http_res_get_data(nng_http_res *res, void **bodyp, size_t *sizep);

DESCRIPTION

The nng_http_res_get_data() gets the HTTP body associated with the request res, storing a pointer to the buffer at the location referenced by bodyp, and the length of the associated buffer at the location referenced by sizep.

    Note

    The buffer returned is owned by res, and will automatically freed when the request is freed.

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_http_req_alloc(3http), nng_http_req_copy_data(3http), nng_http_req_copy_data(3http), nng(7)